Community
Fusion API and Scripts
Got a new add-in to share? Need something specialized to be scripted? Ask questions or share what you’ve discovered with the community.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Problem writing script code

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
gpq
Enthusiast
309 Views, 4 Replies

Problem writing script code

Hello,

I have a strange situation.

When editing script i write ( like in the sample ) lin1.   , i cannot see all the line's object properties.

I make some mistake but don't understand where.

Thanks in advance.

 

 

 

try:
                curveSel = ui.selectEntity("Select first Line to trim ", "SketchCurves")
            except:
                break                    
            if curveSel:
                curve = adsk.fusion.SketchCurve.cast(curveSel.entity)
                if type(curve) is adsk.fusion.SketchLine:
                    lin1= adsk.fusion.SketchLine.cast(curve)

                    lin1.geo........       <-------------------------------------------------------------------------( here not propose all propeties of object line )
                    lin1_3D =lin1.geometry.asInfiniteLine()
                else:
                    return
            else:
                return None

4 REPLIES 4
Message 2 of 5
marshaltu
in reply to: gpq

Hello,

 

I gave a quick check in my machine. It seemed to work well. It would be good if you can share more information as below:

 

1. Which versions of OS and Fusion 360?

2. Is it reproducible if you restart Fusion 360 and Spyder? 

3. Is it specific to some script? If yes, please share the script.

 

Thanks,

Marshal

 

codehint.png



Marshal Tu
Fusion 360 Developer
Autodesk, Inc.

Message 3 of 5
gpq
Enthusiast
in reply to: marshaltu

Hello,

I cannot see the properties that you can see.

createin assembly context

ednsketchpoint

geometry

startsketcpoint....

.....

....

Look at mine image.

Thanks.SpiderCattura.JPGfusionCattura.JPGImmagine.pngOSCattura.JPG

 

 

Message 4 of 5
gpq
Enthusiast
in reply to: marshaltu

Sorry,

The problem is always present in any script and also if I restart fusion and spider. spider is 2.3.2

SpiderCattura.JPG

Message 5 of 5
marshaltu
in reply to: gpq

Hello,

 

It was strange. Please try to do clean uninstall/reinstall Fusion 360 and see if it can solve the issue or not?

 

https://knowledge.autodesk.com/support/fusion-360/troubleshooting/caas/sfdcarticles/sfdcarticles/How...

 

Thanks,

Marshal



Marshal Tu
Fusion 360 Developer
Autodesk, Inc.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report